RIO_UNLOCK_DEVICE(9)

NAME
rio_unlock_device - Releases host device lock for specified device

SYNOPSIS

int rio_unlock_device(struct rio_mport * port, u16 destid, u8 hopcount);

ARGUMENTS

port
    Master port to send transaction

destid
    Destination ID for device/switch

hopcount
    Hopcount to reach switch

DESCRIPTION

Returns 0 if device lock released or EINVAL if fails.

AUTHOR

Matt Porter <mporter@kernel.crashing.org>, <mporter@mvista.com>
    Author.

COPYRIGHT